Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 28

Thread: Cheap ESP-01 Modules that don't work for an ESPixelStick

  1. #11
    Join Date
    Jan 2015
    Location
    Folsom, CA, USA
    Posts
    1,728
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    Quote Originally Posted by angus40 View Post
    The Puya do work with ver 1.4 of the firmware
    Share with us a little more information....v1.4 of what the PUYA.....how do we tell if v1.4 if I can’t even find if they are supplying PUYA
    Last edited by mrGrumpy; 09-06-2018 at 12:39 AM.
    In Lights Therapy

  2. #12
    Join Date
    Dec 2011
    Posts
    5,666
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    This version of the pixelstick firmware works with the Puya Esp -01 .

    Loaded it with Arduino IDE 1.6.5 and no issues saving config or running sequence data etc.
    Attached Files Attached Files
    Last edited by angus40; 09-06-2018 at 01:12 AM.

  3. #13
    Join Date
    Dec 2011
    Posts
    5,666
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    If your buying esp-01's , it should have an S and be stenciled on the edge of the pcb like this . > Url is for visual , I have not attachment or purchases from the link .

    https://www.electrodragon.com/produc...6-wifi-module/

    Otherwise it will most likely have the Puya mem chip .
    Last edited by angus40; 09-06-2018 at 01:15 AM.

  4. #14
    Join Date
    Oct 2010
    Location
    NW Suburbs of Chicago
    Posts
    126
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    Quote Originally Posted by Ruppro View Post
    I bought my last 10 from them, they are the correct chips and work fine
    Flash Flash Blink Blink,,Oh What A Relief It Is

  5. #15
    Join Date
    May 2017
    Location
    Portugal
    Posts
    59
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    Quote Originally Posted by angus40 View Post
    This version of the pixelstick firmware works with the Puya Esp -01 .

    Loaded it with Arduino IDE 1.6.5 and no issues saving config or running sequence data etc.
    Hello, i've both ESP-01 modules... good and bad.
    I can flash both, but when reconnect the bad ones they donīt work.

    I was looking for a solution and find this post, but when i tries to flash ESP from arduino IDE with the 1.4 firmware i got some errors.

    "No such file or directory"
    #include "ESPixelDriver.h"
    #include "ESerialDriver.h"
    #include "ESPixelStick.h"
    #include "_E131.h"
    #include "helpers.h"

    Can't find more info about this... can you give a little help angus40?

  6. #16
    Join Date
    Oct 2014
    Location
    Sauk City, WI USA
    Posts
    975
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    Have you looked here: https://github.com/forkineye/ESPixelStick ?

    He has linked in on the readme lots of things needed to build.

  7. #17
    Join Date
    Dec 2011
    Posts
    5,666
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    Quote Originally Posted by zelev View Post
    Hello, i've both ESP-01 modules... good and bad.
    I can flash both, but when reconnect the bad ones they donīt work.

    I was looking for a solution and find this post, but when i tries to flash ESP from arduino IDE with the 1.4 firmware i got some errors.

    "No such file or directory"
    #include "ESPixelDriver.h"
    #include "ESerialDriver.h"
    #include "ESPixelStick.h"
    #include "_E131.h"
    #include "helpers.h"

    Can't find more info about this... can you give a little help angus40?
    Here is the complete zip I believe .
    Extract it to your Arduino/library folder , the first one I uploaded did not contain the library files that you listed . Sorry for that .
    Attached Files Attached Files
    Last edited by angus40; 09-12-2018 at 12:49 AM.

  8. Thanks zelev thanked for this post
  9. #18
    Join Date
    May 2017
    Location
    Portugal
    Posts
    59
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    Thank you angus40.

    All seems to be working now.
    Now i can give the ESP's some work to do!!!

  10. #19
    Join Date
    Sep 2012
    Posts
    67
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    Was just noticing my ESPs were starting to fill once I started configuring them via web interface. Will try re-flashing them with the new firmware. Fingers crossed.


    Sent from my iPhone using Tapatalk

  11. #20
    Join Date
    Jan 2014
    Posts
    23
    Post Thanks / Like

    Default Re: Cheap ESP-01 Modules that don't work for an ESPixelStick

    FYI - I bought some non-PUYA ESP01s from Amazon. $11.99 and prime shipping.

    https://www.amazon.com/gp/product/B0...?ie=UTF8&psc=1

Page 2 of 3 FirstFirst 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •